<?php

namespace App\Http\Middleware;

use Illuminate\Http\Client\Request;
use Illuminate\Auth\Middleware\Authenticate as Middleware;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    protected function redirectTo($request)
    {
        if (! $request->expectsJson()) {
            $locale = app()->getLocale() . '/';
            if ($request->is($locale . 'admin*')) {
                return route('admin.login');
            } elseif ($request->is($locale . 'provider*')) {
                return route('provider.login');
            } elseif ($request->is($locale . 'agent*')) {
                return route('agent.login');
            }
            return route('login');
        }
    }
}
