<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CarStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => ['required','string','max:255'],
            'seo_title' => ['sometimes','nullable','string','max:255'],
            'slug' => ['sometimes','nullable','max:255','unique:cars,slug'],
            'description' => ['sometimes','nullable'],
            'seo_description' => ['sometimes','nullable','string'],
            'status' => ['required','in:active,inactive'],
            'price' => ['required','numeric'],
            'max_price' => ['sometimes','nullable','numeric'],
            
            'model' => ['sometimes','nullable','numeric'],
            'carburant' => ['required','in:essence,diesel'],
            'kilometrage' => ['sometimes','nullable','numeric'],
            'passengers' => ['sometimes','nullable','numeric'],
            'doors' => ['sometimes','nullable','numeric'],
            'baggages' => ['sometimes','nullable','numeric'],
            'gear_shift' => ['required','in:manual,auto'],

            'featured_image' => ['required','image'],
            'promo_video' => ['sometimes','nullable','url'],
        ];
    }
}
