<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Reservation extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected $casts = [
        'arrival' => 'datetime',
        'departure' => 'datetime',
    ];

    public function car(){
        return $this->belongsTo(Car::class,'reservable_id');
    }
    
    public function currency(){
        return $this->belongsTo(Currency::class,'currency_id');
    }

    public function user(){
        return $this->belongsTo(User::class,'user_id');
    }
}
