<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReservationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('reservations', function (Blueprint $table) {
            $table->id();
            $table->string('order_id')->unique();
            $table->morphs('reservable');
            $table->foreignId('user_id')->nullable()->constrained('users')->nullOnDelete();
            $table->dateTime('arrival');
            $table->dateTime('departure');
            $table->float('total');
            $table->foreignId('currency_id')->constrained('currencies');
            $table->string('comment',3000)->nullable();
            $table->enum('status',['pending','canceled','confirmed','rejected','completed'])->default('pending');
            $table->string('firstname')->nullable();
            $table->string('lastname')->nullable();
            $table->enum('gender',['male','female'])->nullable();
            $table->string('phone')->nullable();
            $table->string('email')->nullable();
            $table->timestamps();
            // Reservation::create(['order_id'=>'20240001','reservable_type'=>'App\Models\Villa','reservable_id'=>1,'user_id'=>1,'arrival'=>'2024-02-03 18:30:45','departure'=>'2024-02-20 11:30:25','persons'=>5,'total'=>7200,'currency_id'=>1,'comment'=>'just a dummy']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('reservations');
    }
}
