$(".ajax-form").submit(function (event) {
    event.preventDefault();
    
    var form = $(this);
    var url = form.attr("action");
    var method = form.attr("method");

    // Create a FormData object to handle file uploads
    var formData = new FormData(form[0]);

    $.ajax({
        type: method,
        url: url,
        headers: {
            'Accept': "application/json"
        },
        // Use the FormData object for data
        data: formData,
        contentType: false,
        processData: false,
        beforeSend:function(){
            $('.overlay-loader').remove();
            form.addClass('position-relative');
            form.prepend('<div class="overlay-loader w-100 h-100 position-absolute text-center top-0 start-0" style="z-index: 100;background:#ffffff90;padding-top:100px"><div class="position-sticky" style="top: 100px"><div class="spinner-border text-primary m-2"></div></div></div>');
        },
        success: function (response) {
            if(response['msg'] == 'success'){
                if(response['url']){
                    window.location.href = response['url'];
                }else{
                    window.location.reload();
                }
            }else{
                $('.msgBox').remove();
                form.prepend('<div class="msgBox alert alert-danger"></div>');
                $('.msgBox').html('Erreur lors de l\'operation');
            }
            $('.overlay-loader').remove();
        },
        error: function (error) {
            $('.overlay-loader').remove();
            $('.msgBox').remove();
            if(error['responseJSON']['errors']){
                form.prepend('<div class="msgBox alert alert-danger"></div>');
                $('.msgBox').html('');
                $('.msgBox').append("<ul>");
                $.each(error['responseJSON']['errors'], function (field, messages) {
                    $.each(messages, function (index, message) {
                        $('.msgBox').append("<li>" + message + "</li>");
                    });
                });
                $('.msgBox').append("</ul>");
                $('.msgBox').show();
            }else{
                form.prepend('<div class="msgBox alert alert-danger"></div>');
                $('.msgBox').html('');
                $('.msgBox').append("<div>Erreur de connexion. Veuillez actualiser la page : <a href='javascript:void(0)' onclick='window.location.reload();'>Cliquer ici</a></div>");
            }
        }
    });
});

var setActiveMenuItem = function(item,prefix='admin/'){
    $('.sidebar-menu a[href*="'+prefix+item+'"]').each(function(index, element){
        $(element).addClass('active');
        $(element).parents('li').addClass('active');
        $(element).parents('li').parents('.submenu>a').addClass('active subdrop');
    });
};