@extends('admin.layouts.master')

@push('css')
    <style>
        .card-header {
            background: #eae2f9 !important;
            margin-top: -13px !important;
            padding: 15px !important;
            border-radius: 7px !important;
            display: inline-block !important;
            min-width: 200px;
        }

        .card-title {
            font-size: 14px;
        }
    </style>
    <!-- Select 2 -->
    <link rel="stylesheet" href="{{ asset('ad') . '/assets/css/select2.min.css' }}">
@endpush

@push('js')
    <script>
        setActiveMenuItem('articles');
    </script>
    <!-- ckeditor JS -->
    <script src="{{ asset('ad') . '/assets/js/ckEditorUploadAdapter.js' }}"></script>
    <script src="{{ asset('ad') . '/assets/plugins/ckeditor/build/ckeditor.js' }}"></script>
    <!-- Bootstrap Tagsinput JS -->
    <script src="{{ asset('ad') . '/assets/plugins/bootstrap-tagsinput/js/bootstrap-tagsinput.js' }}"></script>
    <!-- Select 2 -->
    <script src="{{ asset('ad') . '/assets/js/select2.min.js' }}"></script>
    <!-- Form repeater -->
    <script src="{{ asset('ad') . '/assets/js/jquery.repeater.min.js' }}"></script>
@endpush

@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Edit Article</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item">Articles</li>
                    <li class="breadcrumb-item active">Edit article</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /Page Header -->
    <form action="{{ route('admin.articles.update',['article'=>$article->id]) }}" method="POST" class="ajax-form">
        @csrf
        @method('PUT')
        <div class="row ">
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Content</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Title <span class="text-danger">*</span></label>
                            <input class="form-control" type="text" name="title" required="" value="{{ $article->title }}">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo title</label>
                            <input class="form-control" type="text" name="seo_title" value="{{ $article->seo_title }}">
                        </div>
                        <div class="mb-3 col-md-8">
                            <label class="form-label">Slug</label>
                            <input class="form-control" type="text" name="slug" placeholder="e.g: article-a-marrekech" value="{{ $article->slug }}">
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label d-block">Status</label>
                            <input id="slabel1" type="radio" name="status" {{ $article->status == 'active' ? 'checked' : '' }} value="active"> <label
                                for="slabel1" class="me-3 ms-1">Public</label>
                            <input id="slabel2" type="radio" name="status" {{ $article->status == 'inactive' ? 'checked' : '' }} value="inactive"> <label for="slabel2"
                                class="ms-1">Draft</label>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo keywords</label>
                            <input type="text" data-role="tagsinput" class="input-tags form-control"
                                placeholder="Enter Keywords" name="seo_keywords" value="{{ $article->seo_keywords }}">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo description</label>
                            <textarea class="form-control" name="seo_description">{{ $article->seo_description }}</textarea>
                        </div>
                        <div class="mb-3 col-md-12">
                            <label class="form-label">Description</label>
                            <textarea id="editor">{{ $article->description }}</textarea>
                            <textarea class="d-none" id="editor-post-field" name="description">{{ $article->description }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Media</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Featured image <span class="text-danger">*</span></label>
                            <div class="row">
                                <div class="col-md-6 p-1">
                                    <img src="{{ asset('uploads/articles/' . $article->featured_image) }}" width="100%">
                                </div>
                                <div class="col-md-6">
                                    <input class="form-control" type="file" name="featured_image">
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Video link</label>
                            <input class="form-control" type="url" name="promo_video" value="{{ $article->promo_video }}">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="mt-3 mb-5 text-end">
                    <button class="btn btn-primary px-5" type="submit">Save</button>
                </div>
            </div>
        </div>
    </form>
@endsection
