@extends('admin.layouts.master')

@push('css')
    <style>
        .card-header {
            background: #eae2f9 !important;
            margin-top: -13px !important;
            padding: 15px !important;
            border-radius: 7px !important;
            display: inline-block !important;
            min-width: 200px;
        }

        .card-title {
            font-size: 14px;
        }
    </style>
    <!-- Select 2 -->
    <link rel="stylesheet" href="{{ asset('ad') . '/assets/css/select2.min.css' }}">
@endpush

@push('js')
    <script>
        setActiveMenuItem('cars');
    </script>
    <!-- ckeditor JS -->
    <script src="{{ asset('ad') . '/assets/js/ckEditorUploadAdapter.js' }}"></script>
    <script src="{{ asset('ad') . '/assets/plugins/ckeditor/build/ckeditor.js' }}"></script>
    <!-- Bootstrap Tagsinput JS -->
    <script src="{{ asset('ad') . '/assets/plugins/bootstrap-tagsinput/js/bootstrap-tagsinput.js' }}"></script>
    <!-- Select 2 -->
    <script src="{{ asset('ad') . '/assets/js/select2.min.js' }}"></script>
    <!-- Form repeater -->
    <script src="{{ asset('ad') . '/assets/js/jquery.repeater.min.js' }}"></script>
@endpush

@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Edit Car</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item">Cars</li>
                    <li class="breadcrumb-item active">Edit car</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /Page Header -->
    <form action="{{ route('admin.cars.update',['car'=>$car->id]) }}" method="POST" class="ajax-form">
        @csrf
        @method('PUT')
        <div class="row ">
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">General informations</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Title <span class="text-danger">*</span></label>
                            <input class="form-control" type="text" name="title" required="" value="{{ $car->title }}">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo title</label>
                            <input class="form-control" type="text" name="seo_title" value="{{ $car->seo_title }}">
                        </div>
                        <div class="mb-3 col-md-8">
                            <label class="form-label">Slug</label>
                            <input class="form-control" type="text" name="slug" placeholder="e.g: car-a-marrekech" value="{{ $car->slug }}">
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label d-block">Status</label>
                            <input id="slabel1" type="radio" name="status" {{ $car->status == 'active' ? 'checked' : '' }} value="active"> <label
                                for="slabel1" class="me-3 ms-1">Public</label>
                            <input id="slabel2" type="radio" name="status" {{ $car->status == 'inactive' ? 'checked' : '' }} value="inactive"> <label for="slabel2"
                                class="ms-1">Draft</label>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo keywords</label>
                            <input type="text" data-role="tagsinput" class="input-tags form-control"
                                placeholder="Enter Keywords" name="seo_keywords" value="{{ $car->seo_keywords }}">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo description</label>
                            <textarea class="form-control" name="seo_description">{{ $car->seo_description }}</textarea>
                        </div>
                        <div class="mb-3 col-md-12">
                            <label class="form-label">Description</label>
                            <textarea id="editor">{{ $car->description }}</textarea>
                            <textarea class="d-none" id="editor-post-field" name="description">{{ $car->description }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Pricing</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Price <span class="text-danger">*</span></label>
                            <input class="form-control" type="number" name="price" required="" value="{{ $car->price }}">
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Currency</label>
                            <select class="form-control form-select select" name="currency_id">
                                @foreach ($currencies as $currency)
                                    <option value="{{ $currency->id }}" {{ $car->currency_id == $currency->id ? 'selected' : '' }}>{{ $currency->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Unit</label>
                            <select class="form-control form-select select" name="unit">
                                <option value="day" {{ $car->duration_unit == 'day' ? 'selected' : '' }}>Day</option>
                                <option value="week" {{ $car->duration_unit == 'week' ? 'selected' : '' }}>Week</option>
                                <option value="month" {{ $car->duration_unit == 'month' ? 'selected' : '' }}>Month</option>
                                <option value="year" {{ $car->duration_unit == 'year' ? 'selected' : '' }}>Year</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Minimum period</label>
                            <input class="form-control" type="number" name="min_period" value="{{ $car->min_period }}">
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Max Price (per unit)</label>
                            <input class="form-control" type="number" name="max_price" value="{{ $car->max_price }}">
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label d-block">Price variations</label>
                            <input id="has_price_vars2" type="radio" name="has_price_vars" value="0" {{ $car->price_by_period ? '' : 'checked' }}>
                            <label for="has_price_vars2" class="me-2">Disable</label>
                            <input id="has_price_vars1" type="radio" name="has_price_vars" value="1" {{ $car->price_by_period ? 'checked' : '' }}>
                            <label for="has_price_vars1">Enable</label>
                        </div>
                        <div class="mb-3 col-md-12 repeater">
                            <fieldset>
                                <legend>Period prices</legend>
                                <span class="btn btn-primary m-2" data-repeater-create><i class="fa fa-plus"></i> Add
                                    row</span>
                                <div class="prcs" data-repeater-list="period_prices">
                                    @if ($car->price_by_period)
                                    @foreach ($car->price_by_period as $pp)
                                        <div class="row py-2 my-1" style="background: #efefef;" data-repeater-item>
                                            <div class="mb-3 col-md-3">
                                                <label class="form-label">From</label>
                                                <input class="form-control" type="date" name="from" value="{{ $pp['from'] }}">
                                            </div>
                                            <div class="mb-3 col-md-3">
                                                <label class="form-label">To</label>
                                                <input class="form-control" type="date" name="to" value="{{ $pp['to'] }}">
                                            </div>
                                            <div class="mb-3 col-md-2">
                                                <label class="form-label">Minimum period</label>
                                                <input class="form-control" type="number" name="min_period" value="{{ $pp['min_period'] }}">
                                            </div>
                                            <div class="mb-3 col-md-2">
                                                <label class="form-label">Unit</label>
                                                <select class="form-control form-select" name="unit">
                                                    <option value="day" {{ $pp['unit'] == 'day' ? 'selected' : '' }}>Day</option>
                                                    <option value="week" {{ $pp['unit'] == 'week' ? 'selected' : '' }}>Week</option>
                                                    <option value="month" {{ $pp['unit'] == 'month' ? 'selected' : '' }}>Month</option>
                                                    <option value="year" {{ $pp['unit'] == 'year' ? 'selected' : '' }}>Year</option>
                                                </select>
                                            </div>
                                            <div class="mb-3 col-md-1">
                                                <label class="form-label">Price</label>
                                                <input class="form-control d-inline-block" type="number" name="price" value="{{ $pp['price'] }}">
                                            </div>
                                            <div class="mb-3 col-md-1 align-self-end">
                                                <button class="btn btn-danger m-2" data-repeater-delete><i
                                                        class="fa fa-trash"></i></button>
                                            </div>
                                        </div>
                                    @endforeach
                                    @else
                                        <div class="row py-2 my-1" style="background: #efefef;" data-repeater-item>
                                            <div class="mb-3 col-md-3">
                                                <label class="form-label">From</label>
                                                <input class="form-control" type="date" name="from">
                                            </div>
                                            <div class="mb-3 col-md-3">
                                                <label class="form-label">To</label>
                                                <input class="form-control" type="date" name="to">
                                            </div>
                                            <div class="mb-3 col-md-2">
                                                <label class="form-label">Minimum period</label>
                                                <input class="form-control" type="number" name="min_period">
                                            </div>
                                            <div class="mb-3 col-md-2">
                                                <label class="form-label">Unit</label>
                                                <select class="form-control form-select" name="unit">
                                                    <option value="day">Day</option>
                                                    <option value="week">Week</option>
                                                    <option value="month">Month</option>
                                                    <option value="year">Year</option>
                                                </select>
                                            </div>
                                            <div class="mb-3 col-md-1">
                                                <label class="form-label">Price</label>
                                                <input class="form-control d-inline-block" type="number" name="price">
                                            </div>
                                            <div class="mb-3 col-md-1 align-self-end">
                                                <button class="btn btn-danger m-2" data-repeater-delete><i
                                                        class="fa fa-trash"></i></button>
                                            </div>
                                        </div>
                                    @endif
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Qualifications</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Model</label>
                            <input class="form-control" name="model" type="number" value="{{ $car->model }}">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Kilometrage</label>
                            <input class="form-control" name="kilometrage" type="number" value="{{ $car->kilometrage }}">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Passengers</label>
                            <input class="form-control" name="passengers" type="number" value="{{ $car->passengers }}">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Doors</label>
                            <input class="form-control" name="doors" type="number" value="{{ $car->doors }}">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Baggages</label>
                            <input class="form-control" name="baggages" type="number" value="{{ $car->baggages }}">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Carburant</label>
                            <select class="form-control form-select select" name="carburant">
                                <option value="diesel" {{ $car->carburant == 'diesel' ? 'selected' : '' }}>Diesel</option>
                                <option value="essence" {{ $car->carburant == 'essence' ? 'selected' : '' }}>Essence</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Gear Shift</label>
                            <select class="form-control form-select select" name="gear_shift">
                                <option value="manual" {{ $car->gear_shift == 'manual' ? 'selected' : '' }}>Manual</option>
                                <option value="auto" {{ $car->gear_shift == 'auto' ? 'selected' : '' }}>Auto</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Location</label>
                            <select class="form-control form-select select" name="location_id">
                                @foreach ($locations as $location)
                                    <option value="{{ $location->id }}" {{ $car->location_id == $location->id ? 'selected' : '' }}>{{ $location->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Type</label>
                            <select class="form-control form-select select" name="type_id">
                                @foreach ($types as $type)
                                    <option value="{{ $type->id }}" {{ $car->type_id == $type->id ? 'selected' : '' }}>{{ $type->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Themes</label>
                            <select class="form-control form-select select" name="themes[]" multiple>
                                @foreach ($themes as $theme)
                                    <option value="{{ $theme->id }}" {{ in_array($theme->id,$car_themes) ? 'selected' : '' }}>{{ $theme->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Amenities</label>
                            <select class="form-control form-select select" name="amenities[]" multiple>
                                @foreach ($amenities as $amenity)
                                    <option value="{{ $amenity->id }}" {{ in_array($amenity->id,$car_amenities) ? 'selected' : '' }}>{{ $amenity->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="m-2 col-md-1 align-self-center d-flex align-items-start">
                            <input class="form-check d-inline-block me-1" type="checkbox" name="featured" {{ $car->featured == 1 ? 'checked' : '' }}>
                            <label class="form-label">Featured</label>
                        </div>
                        <div class="m-2 col-md-1 align-self-center d-flex align-items-start">
                            <input class="form-check d-inline-block me-1" type="checkbox" name="new" {{ $car->new == 1 ? 'checked' : '' }}>
                            <label class="form-label">New</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Media</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Featured image <span class="text-danger">*</span></label>
                            <div class="row">
                                <div class="col-md-6 p-1">
                                    <img src="{{ asset('uploads/properties/' . $car->featured_image) }}" width="100%">
                                </div>
                                <div class="col-md-6">
                                    <input class="form-control" type="file" name="featured_image">
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Video link</label>
                            <input class="form-control" type="url" name="promo_video" value="{{ $car->promo_video }}">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Origins</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Provider</label>
                            <select class="form-control form-select select" name="provider_id">
                                <option value="">--</option>
                                @foreach ($providers as $provider)
                                    <option value="{{ $provider->id }}" {{ $provider->id == $car->provider_id ? 'selected' : '' }}>{{ $provider->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Agent</label>
                            <select class="form-control form-select select" name="agent_id">
                                <option value="">--</option>
                                @foreach ($agents as $agent)
                                    <option value="{{ $agent->id }}" {{ $agent->id == $car->agent_id ? 'selected' : '' }}>{{ $agent->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Fetched link</label>
                            <input class="form-control" type="url" name="fetched_url" value="{{ $car->fetched_url }}">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="mt-3 mb-5 text-end">
                    <button class="btn btn-primary px-5" type="submit">Save</button>
                </div>
            </div>
        </div>
    </form>
@endsection
