@extends('admin.layouts.master')

@push('css')
    <style>
        .card-header {
            background: #eae2f9 !important;
            margin-top: -13px !important;
            padding: 15px !important;
            border-radius: 7px !important;
            display: inline-block !important;
            min-width: 200px;
        }

        .card-title {
            font-size: 14px;
        }
        .custom-file-container__image-multi-preview{
            width: 100px !important;
            height: 80px !important;
        }
    </style>
@endpush

@push('js')
    <!-- Fileupload JS -->
	<script src="{{ asset('ad') . '/assets/plugins/fileupload/fileupload.min.js' }}"></script>
    <script>
        setActiveMenuItem('cars');
    </script>
@endpush

@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Photos of : {{ $car->title }}</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item">Cars</li>
                    <li class="breadcrumb-item active">Add photos</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /Page Header -->
    <form action="{{ route('admin.cars.photos',['car'=>$car->id]) }}" method="POST" class="ajax-form">
        @csrf
        <div class="row ">
            @if ($errors->any())
                <div class="col-sm-12 card card-table">
                    <div class="card-body mt-3">
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    </div>
                </div>
            @endif
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title"><i class="fa fa-camera me-1"></i> Photos</h5>
                </div>
                <div class="card-body">
                    <div class="d-flex flex-wrap p-2">
                        @forelse ($photos as $photo)
                            <div class="p-2 m-1 rounded" style="width: 120px;background:#efefef;height:115px;">
                                <input type="checkbox" name="selected_photos[]" value="{{ $photo->id }}" checked>
                                <img src="{{ asset('uploads/properties/' . $photo->filename) }}" class="w-100 h-75 rounded" style="object-fit: cover;">
                            </div>
                        @empty
                            <div class="col-md-12">
                                <div class="alert alert-warning">No photos found</div>
                            </div>
                        @endforelse
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title"><i class="fa fa-upload me-1"></i> Upload car photos</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="custom-file-container" data-upload-id="fileuploadinput">
                            <label class="custom-file-container__custom-file" >
                                <input type="file" class="custom-file-container__custom-file__custom-file-input" name="pictures[]" multiple accept="image/*">
                                <span class="custom-file-container__custom-file__custom-file-control"></span>
                            </label>
                            <label><a href="javascript:void(0)" class="custom-file-container__image-clear btn btn-outline-danger mt-3" title="Clear Images"><i class="fa fa-trash"></i> Clear selected</a></label>
                            <div class="custom-file-container__image-preview"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="mt-3 mb-5 text-end">
                    <button class="btn btn-primary px-5" type="submit">Save</button>
                </div>
            </div>
        </div>
    </form>
@endsection
