@extends('admin.layouts.master')

@push('css')
    <!-- Datatables CSS -->
    <link rel="stylesheet" href="{{ asset('ad') . '/assets/plugins/datatables/datatables.min.css' }}">
@endpush

@push('js')
    <!-- Datatables JS -->
    <script src="{{ asset('ad') . '/assets/plugins/datatables/jquery.dataTables.min.js' }}"></script>
    <script src="{{ asset('ad') . '/assets/plugins/datatables/datatables.min.js' }}"></script>
    <script>
        setActiveMenuItem('providers');
    </script>
@endpush

@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Providers</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item active">Providers</li>
                </ul>
            </div>
            <div class="col-auto">
                <button type="button" class="btn btn-primary me-1" data-bs-toggle="modal" data-bs-target="#addModal">
                    <i class="fas fa-plus"></i>
                </button>

                <!-- Modal -->
                <div class="modal fade" id="addModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                    aria-labelledby="addModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="addModalLabel">New Provider</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form class="ajax-form px-3 row" action="{{ route('admin.providers.store') }}"
                                    method="POST">
                                    @csrf
                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" type="text" name="name" required=""
                                            placeholder="type provider name ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Email</label>
                                        <input class="form-control" type="email" name="email" required=""
                                            placeholder="type provider email ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Phone</label>
                                        <input class="form-control" type="text" name="phone" required=""
                                            placeholder="type provider phone ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Website Url</label>
                                        <input class="form-control" type="url" name="website_url" required=""
                                            placeholder="type provider website url ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Address</label>
                                        <input class="form-control" type="text" name="address"
                                            placeholder="type provider address ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Status</label>
                                        <select class="form-control form-select" name="status" required="">
                                            <option value="active">active</option>
                                            <option value="inactive">inactive</option>
                                        </select>
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Password</label>
                                        <input class="form-control" type="password" name="password" required=""
                                            placeholder="type provider password ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Password Confirmation</label>
                                        <input class="form-control" type="password" name="password_confirmation"
                                            required="" placeholder="confirm password ..">
                                    </div>

                                    <div class="mt-3 text-end">
                                        <button type="button" class="btn btn-secondary"
                                            data-bs-dismiss="modal">Close</button>
                                        <button class="btn btn-primary" type="submit">Create</button>
                                    </div>

                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Page Header -->

    <div class="row">
        <div class="col-sm-12">

            <div class="card card-table">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-center table-hover datatable">
                            <thead class="thead-light">
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Website</th>
                                    <th>Status</th>
                                    <th>Joined At</th>
                                    <th class="text-end">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($providers as $provider)
                                    <tr>
                                        <td>{{ $provider->id }}</td>
                                        <td>{{ $provider->name }}</td>
                                        <td>{{ $provider->email }}</td>
                                        <td>{{ $provider->phone }}</td>
                                        <td>{{ $provider->website_url }}</td>
                                        <td>
                                            <span
                                                class="badge badge-pill bg-{{ $provider->status == 'active' ? 'success' : 'danger' }}-light">{{ $provider->status }}</span>
                                        </td>
                                        <td>{{ $provider->created_at->diffForHumans() }}</td>
                                        <td class="text-end">
                                            <button class="btn btn-sm btn-white text-success me-2" data-bs-toggle="modal"
                                                data-bs-target="#modal{{ $provider->id }}"><i
                                                    class="far fa-edit me-1"></i> Edit</button>
                                            <div class="modal fade" id="modal{{ $provider->id }}"
                                                data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="modal{{ $provider->id }}Label" aria-hidden="true">
                                                <div class="modal-dialog modal-lg">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="modal{{ $provider->id }}Label">
                                                                Edit Provider</h5>
                                                            <button type="button" class="btn-close"
                                                                data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3 row"
                                                                action="{{ route('admin.providers.update', ['provider' => $provider->id]) }}"
                                                                method="POST">
                                                                @csrf
                                                                @method('PUT')
                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Name</label>
                                                                    <input class="form-control" type="text"
                                                                        name="name" required="" value="{{ $provider->name }}"
                                                                        placeholder="type provider name ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Email</label>
                                                                    <input class="form-control" type="email"
                                                                        name="email" required="" value="{{ $provider->email }}"
                                                                        placeholder="type provider email ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Phone</label>
                                                                    <input class="form-control" type="text"
                                                                        name="phone" required="" value="{{ $provider->phone }}"
                                                                        placeholder="type provider phone ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Website
                                                                        Url</label>
                                                                    <input class="form-control" type="url"
                                                                        name="website_url" required="" value="{{ $provider->website_url }}"
                                                                        placeholder="type provider website url ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name"
                                                                        class="form-label">Address</label>
                                                                    <input class="form-control" type="text"
                                                                        name="address" value="{{ $provider->address }}"
                                                                        placeholder="type provider address ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name"
                                                                        class="form-label">Status</label>
                                                                    <select class="form-control form-select"
                                                                        name="status" required="">
                                                                        <option value="active" {{ $provider->status == 'active' ? 'selected' : '' }}>active</option>
                                                                        <option value="inactive" {{ $provider->status == 'inactive' ? 'selected' : '' }}>inactive</option>
                                                                    </select>
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name"
                                                                        class="form-label">Password</label>
                                                                    <input class="form-control" type="password"
                                                                        name="password"
                                                                        placeholder="type provider password ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Password
                                                                        Confirmation</label>
                                                                    <input class="form-control" type="password"
                                                                        name="password_confirmation"
                                                                        placeholder="confirm password ..">
                                                                </div>

                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-primary"
                                                                        type="submit">Save</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <button class="btn btn-sm btn-white text-danger me-2" data-bs-toggle="modal"
                                                data-bs-target="#dmodal{{ $provider->id }}"><i
                                                    class="far fa-trash-alt me-1"></i>Delete</button>
                                            <div class="modal fade" id="dmodal{{ $provider->id }}"
                                                data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="dmodal{{ $provider->id }}Label" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="dmodal{{ $provider->id }}Label">
                                                                Confirm Deletion</h5>
                                                            <button type="button" class="btn-close"
                                                                data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3"
                                                                action="{{ route('admin.providers.destroy', ['provider' => $provider->id]) }}"
                                                                method="POST">
                                                                @csrf
                                                                @method('DELETE')
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Name</label>
                                                                    <input class="form-control" disabled type="text"
                                                                        name="name" value="{{ $provider->name }}"
                                                                        required=""
                                                                        placeholder="type provider name ..">
                                                                </div>

                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-danger"
                                                                        type="submit">Delete</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
