@extends('admin.layouts.master')

@push('css')
    <!-- Datatables CSS -->
    <link rel="stylesheet" href="{{ asset('ad') . '/assets/plugins/datatables/datatables.min.css' }}">
@endpush

@push('js')
    <!-- Datatables JS -->
    <script src="{{ asset('ad') . '/assets/plugins/datatables/jquery.dataTables.min.js' }}"></script>
    <script src="{{ asset('ad') . '/assets/plugins/datatables/datatables.min.js' }}"></script>
    <script>
        setActiveMenuItem('users');
    </script>
@endpush

@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Users</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item active">Users</li>
                </ul>
            </div>
            <div class="col-auto">
                <button type="button" class="btn btn-primary me-1" data-bs-toggle="modal" data-bs-target="#addModal">
                    <i class="fas fa-plus"></i>
                </button>

                <!-- Modal -->
                <div class="modal fade" id="addModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                    aria-labelledby="addModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="addModalLabel">New User</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form class="ajax-form px-3 row" action="{{ route('admin.users.store') }}"
                                    method="POST">
                                    @csrf

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">First name</label>
                                        <input class="form-control" type="text" name="firstname" required=""
                                            placeholder="type user first name ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Last name</label>
                                        <input class="form-control" type="text" name="lastname" required=""
                                            placeholder="type user last name ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Email</label>
                                        <input class="form-control" type="email" name="email" required=""
                                            placeholder="type user email ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Phone</label>
                                        <input class="form-control" type="text" name="phone" required=""
                                            placeholder="type user phone ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Gender</label>
                                        <select class="form-control form-select" name="gender" required="">
                                            <option value="male">male</option>
                                            <option value="female">female</option>
                                        </select>
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Country</label>
                                        <input class="form-control" type="text" name="country" required=""
                                            placeholder="type user country ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">City</label>
                                        <input class="form-control" type="text" name="city" required=""
                                            placeholder="type user country ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Status</label>
                                        <select class="form-control form-select" name="status" required="">
                                            <option value="active">active</option>
                                            <option value="inactive">inactive</option>
                                        </select>
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Password</label>
                                        <input class="form-control" type="password" name="password" required=""
                                            placeholder="type user password ..">
                                    </div>

                                    <div class="mb-3 col-md-6 col-sm-12">
                                        <label for="name" class="form-label">Password Confirmation</label>
                                        <input class="form-control" type="password" name="password_confirmation"
                                            required="" placeholder="confirm password ..">
                                    </div>

                                    <div class="mt-3 text-end">
                                        <button type="button" class="btn btn-secondary"
                                            data-bs-dismiss="modal">Close</button>
                                        <button class="btn btn-primary" type="submit">Create</button>
                                    </div>

                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Page Header -->

    <div class="row">
        <div class="col-sm-12">

            <div class="card card-table">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-center table-hover datatable">
                            <thead class="thead-light">
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Gender</th>
                                    <th>Country</th>
                                    <th>City</th>
                                    <th>Status</th>
                                    <th>Joined At</th>
                                    <th class="text-end">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($users as $user)
                                    <tr>
                                        <td>{{ $user->id }}</td>
                                        <td>{{ $user->firstname . ' ' . $user->lastname }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td>{{ $user->phone }}</td>
                                        <td>{{ $user->gender }}</td>
                                        <td>{{ $user->country }}</td>
                                        <td>{{ $user->city }}</td>
                                        <td>
                                            <span
                                                class="badge badge-pill bg-{{ $user->status == 'active' ? 'success' : 'danger' }}-light">{{ $user->status }}</span>
                                        </td>
                                        <td>{{ $user->created_at->diffForHumans() }}</td>
                                        <td class="text-end">
                                            <button class="btn btn-sm btn-white text-success me-2" data-bs-toggle="modal"
                                                data-bs-target="#modal{{ $user->id }}"><i
                                                    class="far fa-edit me-1"></i> Edit</button>
                                            <div class="modal fade" id="modal{{ $user->id }}"
                                                data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="modal{{ $user->id }}Label" aria-hidden="true">
                                                <div class="modal-dialog modal-lg">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="modal{{ $user->id }}Label">
                                                                Edit User</h5>
                                                            <button type="button" class="btn-close"
                                                                data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3 row"
                                                                action="{{ route('admin.users.update', ['user' => $user->id]) }}"
                                                                method="POST">
                                                                @csrf
                                                                @method('PUT')
                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">First name</label>
                                                                    <input class="form-control" type="text"
                                                                        name="firstname" required="" value="{{ $user->firstname }}"
                                                                        placeholder="type user name ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Last name</label>
                                                                    <input class="form-control" type="text"
                                                                        name="lastname" required="" value="{{ $user->lastname }}"
                                                                        placeholder="type user name ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Email</label>
                                                                    <input class="form-control" type="email"
                                                                        name="email" required="" value="{{ $user->email }}"
                                                                        placeholder="type user email ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Phone</label>
                                                                    <input class="form-control" type="text"
                                                                        name="phone" required="" value="{{ $user->phone }}"
                                                                        placeholder="type user phone ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Gender</label>
                                                                    <select class="form-control form-select" name="gender" required="">
                                                                        <option value="male" {{ $user->gender == 'male' ? 'selected' : '' }}>male</option>
                                                                        <option value="female" {{ $user->gender == 'female' ? 'selected' : '' }}>female</option>
                                                                    </select>
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Country</label>
                                                                    <input class="form-control" type="text" name="country" required="" value="{{ $user->country }}"
                                                                        placeholder="type user country ..">
                                                                </div>
                            
                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">City</label>
                                                                    <input class="form-control" type="text" name="city" required="" value="{{ $user->city }}"
                                                                        placeholder="type user country ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name"
                                                                        class="form-label">Status</label>
                                                                    <select class="form-control form-select"
                                                                        name="status" required="">
                                                                        <option value="active" {{ $user->status == 'active' ? 'selected' : '' }}>active</option>
                                                                        <option value="inactive" {{ $user->status == 'inactive' ? 'selected' : '' }}>inactive</option>
                                                                    </select>
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name"
                                                                        class="form-label">Password</label>
                                                                    <input class="form-control" type="password"
                                                                        name="password"
                                                                        placeholder="type user password ..">
                                                                </div>

                                                                <div class="mb-3 col-md-6 col-sm-12">
                                                                    <label for="name" class="form-label">Password
                                                                        Confirmation</label>
                                                                    <input class="form-control" type="password"
                                                                        name="password_confirmation"
                                                                        placeholder="confirm password ..">
                                                                </div>

                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-primary"
                                                                        type="submit">Save</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <button class="btn btn-sm btn-white text-danger me-2" data-bs-toggle="modal"
                                                data-bs-target="#dmodal{{ $user->id }}"><i
                                                    class="far fa-trash-alt me-1"></i>Delete</button>
                                            <div class="modal fade" id="dmodal{{ $user->id }}"
                                                data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="dmodal{{ $user->id }}Label" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="dmodal{{ $user->id }}Label">
                                                                Confirm Deletion</h5>
                                                            <button type="button" class="btn-close"
                                                                data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3"
                                                                action="{{ route('admin.users.destroy', ['user' => $user->id]) }}"
                                                                method="POST">
                                                                @csrf
                                                                @method('DELETE')
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Name</label>
                                                                    <input class="form-control" disabled type="text"
                                                                        name="name" value="{{ $user->name }}"
                                                                        required=""
                                                                        placeholder="type user name ..">
                                                                </div>

                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-danger"
                                                                        type="submit">Delete</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
