@extends('layouts.master')

@push('js')
    <script src="{{ asset('ad') . '/assets/js/custom.js' }}"></script>
@endpush

@section('content')
    <div style="background:#efefef;padding:40px 0px">
        <div class="container">
            <h1 class="text-center" style="font-weight: 100;font-size:20px">LOCATION VOITURE MARRAKECH</h1>
            <h2 class="pxp-section-h2 text-center" style="font-weight: 400;">LOUER UNE VOITURE MARRAKECH</h2>
        </div>
    </div>

    <div>
        <div>
            <div class="pxp-content-side-wrapper">
                <div class="row pb-4">
                    <div class="col-sm-6">
                    </div>
                    <div class="col-sm-6">
                        <div class="pxp-sort-form form-inline float-right d-flex align-items-start">
                            <a data-toggle="modal" data-target="#filterModal" class="pxp-adv-toggle mr-2"><span
                                    class="fa fa-sliders"></span></a>
                            <div class="form-group">
                                <select class="custom-select" id="pxp-sort-results">
                                    <option value="" selected="selected">Default Sort</option>
                                    <option value="">Price (Lo-Hi)</option>
                                    <option value="">Price (Hi-Lo)</option>
                                    <option value="">Places</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="filterModal" tabindex="-1" role="dialog" aria-labelledby="filterModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Filtres</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body pt-5">
                                <form class="pxp-search-properties-form" action="properties.html">
                                    <div class="pxp-search-properties-form-main">
                                        <div class="pxp-search-properties-row row">
                                            <div class="col-sm-5 col-md-3 pxp-search-properties-col pr-2">
                                                <div class="form-group">
                                                    <label for="search_category">Catégorie</label>
                                                    <select class="custom-select" id="search_category" ame="category">
                                                        <option>Tout</option>
                                                        <option>Mercedes</option>
                                                        <option>Audi</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5 col-md-3 pxp-search-properties-col pr-2">
                                                <div class="form-group">
                                                    <label for="search_category">Type</label>
                                                    <select class="custom-select" id="search_category" ame="category">
                                                        <option>Tout</option>
                                                        <option>Mercedes</option>
                                                        <option>Audi</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-5 col-md-6 pxp-search-properties-col">
                                                <div class="row">
                                                    <div class="form-group col-md-6">
                                                        <label for="search_price_min">Min Prix</label>
                                                        <div class="input-group">
                                                            <input type="number" min="0" class="form-control"
                                                                id="search_price_min" name="price_min">
                                                            <div class="input-group-append">
                                                                <span class="input-group-text">Euro</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group col-md-6">
                                                        <label for="search_price_max">Max Prix</label>
                                                        <div class="input-group">
                                                            <input type="number" min="0" class="form-control"
                                                                id="search_price_max" name="price_max">
                                                            <div class="input-group-append">
                                                                <span class="input-group-text">Euro</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row pt-4">
                                        <div class="col-12 text-right">
                                            <input type="reset" class="btn btn-outline-danger rounded-0 p-2"
                                                style="margin-top: -5px;height:46px;" value="Réinitialiser">
                                            <input type="submit" class="pxp-search-properties-btn rounded-0"
                                                style="background: #131673" value="Appliquer">
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    @foreach ($properties as $prop)
                        <div class="col-sm-12 col-md-6 col-xxxl-4">
                            <a class="pxp-results-card-1 rounded-lg">
                                <div style="width: 100%;height: 100%;">
                                    <div style="width: 100%;height: 100%;">
                                        <div class="prop-img"
                                            style="background-image: url({{ asset('uploads/properties/' . $prop->featured_image) }});">
                                        </div>
                                    </div>
                                </div>
                                <div class="pxp-results-card-1-gradient"></div>
                                <div class="pxp-results-card-1-details">
                                    <div class="pxp-results-card-1-details-title">{{ $prop->title }}</div>
                                    <div class="pxp-results-card-1-details-price">
                                        {{ $prop->currency->symbol . ' ' . $prop->price . ' / ' . $prop->duration_unit }}
                                    </div>
                                </div>
                                <div class="pxp-results-card-1-features d-flex align-items-center">
                                    <div class="d-flex align-items-center mr-2">
                                        <img src="{{ asset('images/car-gear.svg') }}" width="20">
                                        <span class="ml-1">{{ $prop->gear_shift }}</span>
                                    </div>
                                    <div class="d-flex align-items-center mr-2">
                                        <img src="{{ asset('images/car-carburant.svg') }}" width="18">
                                        <span class="ml-1">{{ $prop->carburant }}</span>
                                    </div>
                                    <div class="d-flex align-items-center">
                                        <img src="{{ asset('images/car-places.svg') }}" width="18">
                                        <span class="ml-1">{{ $prop->passengers }}</span>
                                    </div>
                                </div>
                                <a class="pxp-results-card-1-save d-flex align-items-center text-white" type="button"
                                    class="btn btn-primary" data-toggle="modal"
                                    data-target="#reserveModal{{ $prop->id }}">
                                    <span class="fa fa-calendar mr-2"></span> <span>Réserver</span>
                                </a>
                                <div class="modal fade" id="reserveModal{{ $prop->id }}" tabindex="-1"
                                    role="dialog" aria-labelledby="reserveModal{{ $prop->id }}Label"
                                    aria-hidden="true">
                                    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                @if ($errors->any())
                                                    <div class="alert alert-danger">
                                                        <ul>
                                                            @foreach ($errors->all() as $error)
                                                                <li>{{ $error }}</li>
                                                            @endforeach
                                                        </ul>
                                                    </div>
                                                @endif
                                                <h5 class="modal-title">Réserver {{ $prop->title }}
                                                </h5>
                                                <form class="mt-4 ajax-form" method="POST"
                                                    action="{{ route('cars.reserve', ['car' => $prop->id]) }}">
                                                    @csrf
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Prénom <span class="text-danger">*</span></label>
                                                                <input type="text" class="form-control"
                                                                    name="firstname" placeholder="Entrer votre prénom">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Nom <span class="text-danger">*</span></label>
                                                                <input type="text" class="form-control"
                                                                    name="lastname" placeholder="Entrer votre nom">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Email <span class="text-danger">*</span></label>
                                                                <input type="email" class="form-control" name="email"
                                                                    placeholder="Entrer votre email">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Téléphone <span class="text-danger">*</span></label>
                                                                <input type="text" class="form-control" name="phone"
                                                                    placeholder="Entrer votre prénom">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Date de Départ <span
                                                                        class="text-danger">*</span></label>
                                                                <input type="date" class="form-control"
                                                                    name="arrival_date">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Heure de Départ <span
                                                                        class="text-danger">*</span></label>
                                                                <input type="time" class="form-control"
                                                                    name="arrival_hour" value="11:00">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Date de Retour <span
                                                                        class="text-danger">*</span></label>
                                                                <input type="date" class="form-control"
                                                                    name="departure_date">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label>Heure de Retour <span
                                                                        class="text-danger">*</span></label>
                                                                <input type="time" class="form-control"
                                                                    name="departure_hour" value="11:00">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <p><span class="text-danger">*** </span>Nous vous contacterons par
                                                            email pour confirmer votre réservation
                                                            dans les plus brefs délais<span class="text-danger"> ***</span>
                                                        </p>
                                                        <button type="submit" class="pxp-agent-contact-modal-btn"
                                                            style="background: #131673">Réserver</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <a href="{{ route('cars.details', ['car' => $prop->id, 'slug' => $prop->slug]) }}"
                                    class="pxp-results-card-1-save details d-flex align-items-center text-white">
                                    <span class="fa fa-list mr-2"></span> <span>Details</span>
                                </a>
                            </a>
                        </div>
                    @endforeach
                </div>
                <div class="d-flex justify-content-center">
                    {{ $properties->links() }}
                </div>
            </div>
        </div>
    </div>
@endsection
