@extends('layouts.master')

@push('css')
    <link rel="stylesheet" href="{{ asset('/') }}css/owl.carousel.min.css">
    <link rel="stylesheet" href="{{ asset('/') }}css/owl.theme.default.min.css">
    <style>
        .pxp-caption-prop-features {
            background: #fff;
            color: #000;
            width: max-content;
            opacity: 1 !important;
            padding: 5px 10px;
        }

        .pxp-caption-prop-title {
            text-shadow: 0px 0px 20px #000;
        }
    </style>
@endpush
@push('js')
    <script src="{{ asset('/') . 'js/owl.carousel.min.js' }}"></script>
@endpush

@section('content')
    <div class="pxp-hero" style="height: 90vh;">
        <div id="pxp-hero-props-carousel-1" class="carousel slide pxp-hero-props-carousel-1" data-ride="carousel"
            data-pause="false" data-interval="7000">
            <ol class="carousel-indicators container">
                @foreach ($properties as $k => $prop)
                    <li data-target="#pxp-hero-props-carousel-1" data-slide-to="{{ $k }}"
                        class="pxp-cover {{ $k == 0 ? 'active' : '' }}"
                        style="background-image: url({{ asset('uploads/properties/' . $prop->featured_image) }});"></li>
                @endforeach
            </ol>
            <div class="carousel-inner">
                @foreach ($properties as $k => $prop)
                    <div class="carousel-item {{ $k == 0 ? 'active' : '' }}" data-slide="{{ $k }}">
                        <div class="pxp-hero-bg pxp-cover"
                            style="background-image: url({{ asset('uploads/properties/' . $prop->featured_image) }});">
                        </div>
                        <div class="pxp-caption">
                            <div class="container">
                                <div class="row">
                                    <div class="col-sm-12 col-md-8 col-lg-6 p-0">
                                        <div class="pxp-caption-prop-title"
                                            style="background: black;padding: 20px;width:max-content;">{{ $prop->title }}
                                        </div>
                                    </div>
                                </div>
                                <div class="pxp-caption-prop-features py-3 row" style="width: max-content;">
                                    <div class="col-6 p-0 d-flex flex-column justify-content-around align-items-center">
                                        <img src="{{ asset('images/car-gear.svg') }}" width="20">
                                        <span>{{ $prop->gear_shift }}</span>
                                    </div>
                                    <div class="col-6 p-0 d-flex flex-column justify-content-around align-items-center">
                                        <img src="{{ asset('images/car-odo.svg') }}" width="20">
                                        <span>{{ $prop->kilometrage }} KM</span>
                                    </div>
                                    <div
                                        class="col-6 p-0 d-flex flex-column justify-content-around align-items-center mt-3">
                                        <img src="{{ asset('images/car-carburant.svg') }}" width="20">
                                        <span>{{ $prop->carburant }}</span>
                                    </div>
                                    <div
                                        class="col-6 p-0 d-flex flex-column justify-content-around align-items-center mt-3">
                                        <img src="{{ asset('images/car-places.svg') }}" width="20">
                                        <span>{{ $prop->passengers }} Personnes</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>

            <div class="pxp-carousel-controls">
                <a class="pxp-carousel-control-prev" role="button" data-slide="prev">
                    <svg xmlns="http://www.w3.org/2000/svg" width="32.414" height="20.828" viewBox="0 0 32.414 20.828">
                        <g id="Group_30" data-name="Group 30" transform="translate(-1845.086 -1586.086)">
                            <line id="Line_2" data-name="Line 2" x1="30" transform="translate(1846.5 1596.5)"
                                fill="none" stroke="#333" stroke-linecap="round" stroke-width="2" />
                            <line id="Line_3" data-name="Line 3" x1="9" y2="9"
                                transform="translate(1846.5 1587.5)" fill="none" stroke="#333" stroke-linecap="round"
                                stroke-width="2" />
                            <line id="Line_4" data-name="Line 4" x1="9" y1="9"
                                transform="translate(1846.5 1596.5)" fill="none" stroke="#333" stroke-linecap="round"
                                stroke-width="2" />
                        </g>
                    </svg>
                </a>
                <a class="pxp-carousel-control-next" role="button" data-slide="next">
                    <svg xmlns="http://www.w3.org/2000/svg" width="32.414" height="20.828" viewBox="0 0 32.414 20.828">
                        <g id="Symbol_1_1" data-name="Symbol 1 – 1" transform="translate(-1847.5 -1589.086)">
                            <line id="Line_5" data-name="Line 2" x2="30" transform="translate(1848.5 1599.5)"
                                fill="none" stroke="#333" stroke-linecap="round" stroke-width="2" />
                            <line id="Line_6" data-name="Line 3" x2="9" y2="9"
                                transform="translate(1869.5 1590.5)" fill="none" stroke="#333"
                                stroke-linecap="round" stroke-width="2" />
                            <line id="Line_7" data-name="Line 4" y1="9" x2="9"
                                transform="translate(1869.5 1599.5)" fill="none" stroke="#333"
                                stroke-linecap="round" stroke-width="2" />
                        </g>
                    </svg>
                </a>
            </div>
        </div>
        <div class="carousel slide pxp-hero-props-carousel-1-prices" data-ride="carousel" data-pause="false"
            data-interval="false">
            <div class="carousel-inner">
                @foreach ($properties as $k => $prop)
                    <div class="carousel-item {{ $k == 0 ? 'active' : '' }}" data-slide="{{ $k }}"
                        style="background-color: #223bae;">
                        <div class="pxp-progress"></div>
                        <div class="pxp-price">
                            <span>{{ $prop->currency->symbol . ' ' . $prop->price . ' / ' . $prop->duration_unit }}</span>
                        </div>
                        <a href="{{ $prop->slug }}" class="pxp-cta text-uppercase pxp-animate">View Details</a>
                    </div>
                @endforeach
            </div>
            <div class="pxp-carousel-ticker">
                <div class="pxp-carousel-ticker-counter"></div>
                <div class="pxp-carousel-ticker-divider">&nbsp;&nbsp;/&nbsp;&nbsp;</div>
                <div class="pxp-carousel-ticker-total"></div>
            </div>
        </div>
    </div>

    <div class="container-fluid pxp-props-carousel-right mt-100">
        <h3 class="pxp-section-h2">Voitures de location populaires à Marrakech</h3>
        <h4 class="pxp-text-light">Louer une voiture de vos rêves à Marrakech avec notre service de location de voitures
            exceptionnel.</h4>
        <div class="pxp-props-carousel-right-container mt-4 mt-md-5">
            <div class="owl-carousel pxp-props-carousel-right-stage">
                @foreach ($properties as $k => $prop)
                    <div>
                        <a href="single-property.html" class="pxp-prop-card-1">
                            <div class="pxp-prop-card-1-fig pxp-cover"
                                style="background-image: url({{ asset('uploads/properties/' . $prop->featured_image) }});background-size:contain;">
                            </div>
                            <div class="pxp-prop-card-1-gradient pxp-animate"></div>
                            <div class="pxp-prop-card-1-details">
                                <div class="pxp-prop-card-1-details-title">{{ $prop->title }}</div>
                                <div class="pxp-prop-card-1-details-price">
                                    {{ $prop->currency->symbol . ' ' . $prop->price . ' / ' . $prop->duration_unit }}</div>
                                <div class="pxp-prop-card-1-details-features text-uppercase row"
                                    style="background: #ffffff;color:black;">
                                    <div
                                        class="col-3 p-0 d-flex flex-column justify-content-around align-items-center p-1">
                                        <img src="{{ asset('images/car-gear.svg') }}" style="width:20px !important;">
                                        <span>{{ $prop->gear_shift }}</span>
                                    </div>
                                    <div
                                        class="col-3 p-0 d-flex flex-column justify-content-around align-items-center p-1">
                                        <img src="{{ asset('images/car-odo.svg') }}" style="width:20px !important;">
                                        <span>{{ $prop->kilometrage }} KM</span>
                                    </div>
                                    <div
                                        class="col-3 p-0 d-flex flex-column justify-content-around align-items-center p-1">
                                        <img src="{{ asset('images/car-carburant.svg') }}"
                                            style="width:20px !important;"> <span>{{ $prop->carburant }}</span>
                                    </div>
                                    <div
                                        class="col-3 p-0 d-flex flex-column justify-content-around align-items-center p-1">
                                        <img src="{{ asset('images/car-places.svg') }}" style="width:20px !important;">
                                        <span>{{ $prop->passengers }} Personnes</span>
                                    </div>
                                </div>
                            </div>
                            <div class="pxp-prop-card-1-details-cta text-uppercase">Location voiture marrakech</div>
                        </a>
                    </div>
                @endforeach
            </div>
            <a href="properties.html" class="pxp-primary-cta text-uppercase mt-4 mt-md-5 pxp-animate">Voir Plus</a>
        </div>
    </div>

    <div class="container" style="margin-top: 40px">
        <h1 class="pxp-section-h1 text-center" style="font-weight: 100;">LOCATION VOITURE MARRAKECH</h1>
        <h2 class="pxp-section-h2 text-center" style="font-weight: 500;">Découvrez Notre Service de Location de Voitures à
            Marrakech pour des Aventures Inoubliables</h2>
        <div class="text-center">
            @foreach ($marques as $marque)
                <a href="#" class="btn btn-info mr-2 mt-2">
                    <img src="{{ asset('uploads/types/' . $marque->photo) }}" height="30"
                        alt="Location voiture {{ $marque->name }} marrakech">
                    {{ $marque->name }}
                </a>
            @endforeach
        </div>
    </div>

    <div class="pxp-testim-1 pt-100 pb-100 mt-100 pxp-cover"
        style="background-image: url({{ asset('/') }}images/location-voiture-marrakech-happy-man-driving-marrakech-testimonial.jpeg);">
        <div class="pxp-testim-1-intro">
            <h2 class="pxp-section-h2 text-white">Témoignages de clients</h2>
            <p class="pxp-text-light text-white">Ce que disent nos clients à propos de notre service de location de
                voitures à
                marrakech</p>
            <a href="#" class="pxp-primary-cta text-uppercase mt-2 mt-md-3 mt-lg-5 pxp-animate text-white">VOIR
                PLUS</a>
        </div>
        <div class="pxp-testim-1-container mt-4 mt-md-5 mt-lg-0">
            <div class="owl-carousel pxp-testim-1-stage">
                <div>
                    <div class="pxp-testim-1-item">
                        <div class="pxp-testim-1-item-avatar pxp-cover"
                            style="background-image: url({{ asset('/') }}images/ph-avatar.jpg)"></div>
                        <div class="pxp-testim-1-item-name">Derek Cotner</div>
                        <div class="pxp-testim-1-item-location">Houston, TX</div>
                        <div class="pxp-testim-1-item-message">While Resideo functions like a traditional broker, the
                            company's promise is using technology to reduce the time and friction of buying and selling
                            house or apartment.</div>
                    </div>
                </div>
                <div>
                    <div class="pxp-testim-1-item">
                        <div class="pxp-testim-1-item-avatar pxp-cover"
                            style="background-image: url({{ asset('/') }}images/ph-avatar.jpg)"></div>
                        <div class="pxp-testim-1-item-name">Rebecca Eason</div>
                        <div class="pxp-testim-1-item-location">Washington, MD</div>
                        <div class="pxp-testim-1-item-message">And it’s no wonder Resideo has shaken things up: As anyone
                            who’s ever tried to rent or buy property in Washington knows, the experience is loaded with pain
                            points.</div>
                    </div>
                </div>
                <div>
                    <div class="pxp-testim-1-item">
                        <div class="pxp-testim-1-item-avatar pxp-cover"
                            style="background-image: url({{ asset('/') }}images/ph-avatar.jpg)"></div>
                        <div class="pxp-testim-1-item-name">Kenneth Spiers</div>
                        <div class="pxp-testim-1-item-location">Cleveland, OH</div>
                        <div class="pxp-testim-1-item-message">While Resideo functions like a traditional broker, the
                            company's promise is using technology to reduce the time and friction of buying and selling
                            house or apartment.</div>
                    </div>
                </div>
                <div>
                    <div class="pxp-testim-1-item">
                        <div class="pxp-testim-1-item-avatar pxp-cover"
                            style="background-image: url({{ asset('/') }}images/ph-avatar.jpg)"></div>
                        <div class="pxp-testim-1-item-name">Susanne Weil</div>
                        <div class="pxp-testim-1-item-location">Cambridge, MA</div>
                        <div class="pxp-testim-1-item-message">And it’s no wonder Resideo has shaken things up: As anyone
                            who’s ever tried to rent or buy property in Cambridge knows, the experience is loaded with pain
                            points.</div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="pxp-services-accordion pxp-services-accordion-has-image mt-100">
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <h2 class="pxp-section-h2">QUESTIONS FRÉQUEMMENT POSÉES</h2>
                </div>
            </div>
        </div>
        <div class="row no-gutters align-items-center">
            <div class="col-md-6">
                <div class="pxp-services-accordion-fig pxp-cover"
                    style="background-image: url({{ asset('images/location-voiture-marrakech-happy-man-driving.jpeg') }});">
                </div>
            </div>
            <div class="col-md-6 pxp-services-accordion-right">
                <div class="pxp-services-accordion-right-container">
                    <div class="row">
                        <div class="col-xl-10 col-xxl-6">
                            <div class="accordion mt-4 mt-md-5" id="pxpServicesAccordionFig">
                                <div class="pxp-services-accordion-item">
                                    <div class="pxp-services-accordion-item-header" id="pxpServicesAccordionFigHeading-0">
                                        <h4 class="mb-0">
                                            <button class="btn btn-link btn-block text-left " type="button"
                                                data-toggle="collapse" data-target="#pxpServicesAccordionFigCollapse-0"
                                                aria-expanded="true" aria-controls="pxpServicesAccordionFigCollapse-0">
                                                <span class="pxp-services-accordion-item-icon"></span> Buy a home
                                            </button>
                                        </h4>
                                    </div>
                                    <div id="pxpServicesAccordionFigCollapse-0" class="collapse show"
                                        aria-labelledby="pxpServicesAccordionFigHeading-0"
                                        data-parent="#pxpServicesAccordionFig">
                                        <div class="pxp-services-accordion-item-body pxp-text-light">Find your place with
                                            an immersive photo experience and the most listings, including things you won’t
                                            find anywhere else.</div>
                                    </div>
                                </div>
                                <div class="pxp-services-accordion-item">
                                    <div class="pxp-services-accordion-item-header" id="pxpServicesAccordionFigHeading-1">
                                        <h4 class="mb-0">
                                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                                data-toggle="collapse" data-target="#pxpServicesAccordionFigCollapse-1"
                                                aria-expanded="true" aria-controls="pxpServicesAccordionFigCollapse-1">
                                                <span class="pxp-services-accordion-item-icon"></span> Sell a home
                                            </button>
                                        </h4>
                                    </div>
                                    <div id="pxpServicesAccordionFigCollapse-1" class="collapse "
                                        aria-labelledby="pxpServicesAccordionFigHeading-1"
                                        data-parent="#pxpServicesAccordionFig">
                                        <div class="pxp-services-accordion-item-body pxp-text-light">Whether you get a cash
                                            offer through Resideo or choose to sell traditionally, we can help you navigate
                                            a successful sale.</div>
                                    </div>
                                </div>
                                <div class="pxp-services-accordion-item">
                                    <div class="pxp-services-accordion-item-header" id="pxpServicesAccordionFigHeading-2">
                                        <h4 class="mb-0">
                                            <button class="btn btn-link btn-block text-left collapsed" type="button"
                                                data-toggle="collapse" data-target="#pxpServicesAccordionFigCollapse-2"
                                                aria-expanded="true" aria-controls="pxpServicesAccordionFigCollapse-2">
                                                <span class="pxp-services-accordion-item-icon"></span> Rent a home
                                            </button>
                                        </h4>
                                    </div>
                                    <div id="pxpServicesAccordionFigCollapse-2" class="collapse "
                                        aria-labelledby="pxpServicesAccordionFigHeading611e1e580f397-2"
                                        data-parent="#pxpServicesAccordionFig">
                                        <div class="pxp-services-accordion-item-body pxp-text-light">We’re creating a
                                            seamless online experience – from shopping on the largest rental network, to
                                            applying, to paying rent.</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-100">
        <h2 class="pxp-section-h2">Notre Blog</h2>
        <p class="pxp-text-light">Lisez nos articles sur la location de voitures à Marrakech.</p>
        <div class="row mt-4 mt-md-5">
            @foreach ($articles as $article)
                <div class="col-sm-12 col-md-6 col-lg-4">
                    <a href="single-post.html" class="pxp-posts-1-item">
                        <div class="pxp-posts-1-item-fig-container">
                            <div class="pxp-posts-1-item-fig pxp-cover"
                                style="background-image: url({{ asset('/uploads/articles/' . $article->featured_image) }});">
                            </div>
                        </div>
                        <div class="pxp-posts-1-item-details">
                            <div class="pxp-posts-1-item-details-category">Location voiture marrakech</div>
                            <div class="pxp-posts-1-item-details-title">{{ $article->title }}</div>
                            <div class="pxp-posts-1-item-details-date mt-2">April {{ $loop->iteration }}, 2021</div>
                            <div class="pxp-posts-1-item-cta text-uppercase">Read Article</div>
                        </div>
                    </a>
                </div>
            @endforeach
        </div>
        <a href="blog.html" class="pxp-primary-cta text-uppercase mt-2 mt-md-4 pxp-animate">AFFICHER PLUS</a>
    </div>
@endsection
