<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="shortcut icon" href="{{ asset('/') . 'images/favicon.png' }}" type="image/x-icon">
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,200,400,700,900" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('/') . 'css/bootstrap.min.css' }}">
    <link rel="stylesheet" href="{{ asset('/') . 'css/font-awesome.min.css' }}">
    @stack('css')
    <link rel="stylesheet" href="{{ asset('/') . 'css/style.css' }}">

    <meta name="description" content="{{ trans('front/home.meta_description') }}">
    <meta name="keywords" content="{{ trans('front/home.meta_keywords') }}">
    <meta name="author" content="Luxe Location Maroc">

    <title>{{ trans('front/home.meta_title') }}</title>

    <meta property="og:title" content="Villas à Marrakech - Locations de Vacances de Luxe">
    <meta property="og:description"
        content="Découvrez les plus belles villas à Marrakech pour des séjours inoubliables. Trouvez des locations de vacances luxueuses, immergées dans la culture marocaine. Réservez dès maintenant votre villa de rêve à Marrakech. Profitez du confort et de l'exotisme.">
    <meta property="og:image" content="lien_de_votre_image.jpg">
    <meta property="og:url" content="lien_de_votre_page">

    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:title" content="Villas à Marrakech - Locations de Vacances de Luxe">
    <meta name="twitter:description"
        content="Découvrez les plus belles villas à Marrakech pour des séjours inoubliables. Trouvez des locations de vacances luxueuses, immergées dans la culture marocaine. Réservez dès maintenant votre villa de rêve à Marrakech. Profitez du confort et de l'exotisme.">
    <meta name="twitter:image" content="lien_de_votre_image.jpg">
</head>

<body>

    @include('layouts.header')

    <div class="pxp-content">
        @yield('content')
    </div>

    <a href="https://wa.me/+212689526197" target="_blank" class="position-fixed rounded-circle text-center"
        style="top: 80%;right:15px;z-index:1000;background:#00E676;width:70px;height:70px;line-height:90px;">
        <i class="fa fa-whatsapp" style="font-size:45px;color:white;"></i>
    </a>

    @include('layouts.footer')

    <script src="{{ asset('/') . 'js/jquery-3.4.1.min.js' }}"></script>
    <script src="{{ asset('/') . 'js/popper.min.js' }}"></script>
    <script src="{{ asset('/') . 'js/bootstrap.min.js' }}"></script>

    @stack('js')
    <script src="{{ asset('/') . 'js/main.js?lasjkj' }}"></script>
</body>

</html>
