<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UsersController;
use App\Http\Controllers\AgentsController;
use App\Http\Controllers\ProvidersController;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\ThemesController;
use App\Http\Controllers\Admin\CarsController;
use App\Http\Controllers\ReservationsController;
use App\Http\Controllers\Admin\AmenitiesController;
use App\Http\Controllers\Admin\ArticlesController;
use App\Http\Controllers\Admin\LocationsController;
use App\Http\Controllers\Admin\CurrenciesController;
use App\Http\Controllers\Admin\PropertyTypesController;
use App\Http\Controllers\Auth\AuthenticatedSessionController;
use App\Http\Controllers\FavoritesController;
use App\Http\Controllers\ReviewsController;

Route::middleware('guest:admin')->group(function () {

    Route::get('login', [AuthenticatedSessionController::class, 'create'])
                ->name('login');

    Route::post('login', [AuthenticatedSessionController::class, 'store'])->name('login');

});


Route::middleware('auth:admin')->group(function () {
    Route::post('logout', [AuthenticatedSessionController::class, 'destroy'])->name('logout');
    Route::get('/',[AdminController::class, 'index'])->name('dashboard');

    Route::resource('locations',LocationsController::class);
    Route::resource('amenities',AmenitiesController::class);
    Route::resource('themes',ThemesController::class);
    Route::resource('property-types',PropertyTypesController::class);
    Route::resource('currencies',CurrenciesController::class);
    Route::resource('providers',ProvidersController::class);
    Route::resource('agents',AgentsController::class);
    Route::resource('users',UsersController::class);
    Route::resource('favorites',FavoritesController::class);
    Route::resource('reviews',ReviewsController::class);
    Route::resource('articles',ArticlesController::class);

    Route::resource('cars',CarsController::class);
    Route::get('cars/{car}/photos',[CarsController::class,'photos'])->name('cars.photos');
    Route::post('cars/{car}/photos',[CarsController::class,'save_photos']);
    Route::get('cars/{car}/preview',[CarsController::class,'preview'])->name('cars.preview');

    Route::resource('reservations',ReservationsController::class);

});
