<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Front\CarsController;
use App\Http\Controllers\Front\HomeController;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group([
    'prefix' => LaravelLocalization::setLocale(),
    'middleware' => ['localeSessionRedirect', 'localizationRedirect', 'localeViewPath']
], function () {

    Route::get('/', [HomeController::class, 'index'])->name('home');
    Route::get('/car-rental-marrakech', [CarsController::class, 'index'])->name('cars.index');
    Route::get('/car-rental-marrakech/car-details/{slug}/{car}/rent-car-marrakech/', [CarsController::class, 'details'])->name('cars.details');
    Route::post('/reserve-car/{car}', [CarsController::class, 'reserve'])->name('cars.reserve');

    Route::group(['prefix' => 'admin', 'as' => 'admin.'], function () {
        require __DIR__ . '/admin.php';
    });

    // /villa-marrakech/{slug}/villas-marrakech
    // /riad-marrakech/{slug}/riads-marrakech

});
