<?php $__env->startPush('css'); ?>
    <style>
        .card-header {
            background: #eae2f9 !important;
            margin-top: -13px !important;
            padding: 15px !important;
            border-radius: 7px !important;
            display: inline-block !important;
            min-width: 200px;
        }

        .card-title {
            font-size: 14px;
        }
        .custom-file-container__image-multi-preview{
            width: 100px !important;
            height: 80px !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
    <!-- Fileupload JS -->
	<script src="<?php echo e(asset('ad') . '/assets/plugins/fileupload/fileupload.min.js'); ?>"></script>
    <script>
        setActiveMenuItem('cars');
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Photos of : <?php echo e($car->title); ?></h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item">Cars</li>
                    <li class="breadcrumb-item active">Add photos</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /Page Header -->
    <form action="<?php echo e(route('admin.cars.photos',['car'=>$car->id])); ?>" method="POST" class="ajax-form">
        <?php echo csrf_field(); ?>
        <div class="row ">
            <?php if($errors->any()): ?>
                <div class="col-sm-12 card card-table">
                    <div class="card-body mt-3">
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title"><i class="fa fa-camera me-1"></i> Photos</h5>
                </div>
                <div class="card-body">
                    <div class="d-flex flex-wrap p-2">
                        <?php $__empty_1 = true; $__currentLoopData = $photos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $photo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <div class="p-2 m-1 rounded" style="width: 120px;background:#efefef;height:115px;">
                                <input type="checkbox" name="selected_photos[]" value="<?php echo e($photo->id); ?>" checked>
                                <img src="<?php echo e(asset('uploads/properties/' . $photo->filename)); ?>" class="w-100 h-75 rounded" style="object-fit: cover;">
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <div class="col-md-12">
                                <div class="alert alert-warning">No photos found</div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title"><i class="fa fa-upload me-1"></i> Upload car photos</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="custom-file-container" data-upload-id="fileuploadinput">
                            <label class="custom-file-container__custom-file" >
                                <input type="file" class="custom-file-container__custom-file__custom-file-input" name="pictures[]" multiple accept="image/*">
                                <span class="custom-file-container__custom-file__custom-file-control"></span>
                            </label>
                            <label><a href="javascript:void(0)" class="custom-file-container__image-clear btn btn-outline-danger mt-3" title="Clear Images"><i class="fa fa-trash"></i> Clear selected</a></label>
                            <div class="custom-file-container__image-preview"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="mt-3 mb-5 text-end">
                    <button class="btn btn-primary px-5" type="submit">Save</button>
                </div>
            </div>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/luxelocation.ma/resources/views/admin/cars/photos.blade.php ENDPATH**/ ?>