<?php $__env->startPush('css'); ?>
<!-- Datatables CSS -->
<link rel="stylesheet" href="<?php echo e(asset('ad') . '/assets/plugins/datatables/datatables.min.css'); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
<!-- Datatables JS -->
<script src="<?php echo e(asset('ad') . '/assets/plugins/datatables/jquery.dataTables.min.js'); ?>"></script>
<script src="<?php echo e(asset('ad') . '/assets/plugins/datatables/datatables.min.js'); ?>"></script>
<script>
    setActiveMenuItem('property-types');
</script>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Property Types</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item active">Property Types</li>
                </ul>
            </div>
            <div class="col-auto">
                <button type="button" class="btn btn-primary me-1" data-bs-toggle="modal" data-bs-target="#addModal">
                    <i class="fas fa-plus"></i>
                </button>

                <!-- Modal -->
                <div class="modal fade" id="addModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="addModalLabel">New Type</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <form class="ajax-form px-3" action="<?php echo e(route('admin.property-types.store')); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" type="text" name="name" required="" placeholder="type name ..">
                                    </div>

                                    <div class="mb-3">
                                        <label for="name" class="form-label">Photo</label>
                                        <input class="form-control" type="file" name="photo" required="">
                                    </div>

                                    <div class="mt-3 text-end">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                        <button class="btn btn-primary" type="submit">Create</button>
                                    </div>

                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Page Header -->
    
    <div class="row">
        <div class="col-sm-12">
            
            <div class="card card-table">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-center table-hover datatable">
                            <thead class="thead-light">
                                <tr>
                                    <th>ID</th>
                                    <th>Photo</th>
                                    <th>Name</th>
                                    <th class="text-end">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($type->id); ?></td>
                                        <td>
                                            <img src="<?php echo e(asset('uploads/types/' . $type->photo)); ?>" style="height: 40px;">
                                        </td>
                                        <td><?php echo e($type->name); ?></td>
                                        <td class="text-end">
                                            <button class="btn btn-sm btn-white text-success me-2" data-bs-toggle="modal" data-bs-target="#modal<?php echo e($type->id); ?>"><i class="far fa-edit me-1"></i> Edit</button>
                                            <div class="modal fade" id="modal<?php echo e($type->id); ?>" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modal<?php echo e($type->id); ?>Label" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="modal<?php echo e($type->id); ?>Label">Edit Type</h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3" action="<?php echo e(route('admin.property-types.update',['property_type'=>$type->id])); ?>" method="POST">
                                                                <?php echo csrf_field(); ?>
                                                                <?php echo method_field('PUT'); ?>
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Name</label>
                                                                    <input class="form-control" type="text" name="name" value="<?php echo e($type->name); ?>" required="" placeholder="type name ..">
                                                                </div>

                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Photo</label>
                                                                    <input class="form-control" type="file" name="photo">
                                                                    <img src="<?php echo e(asset('uploads/types/' . $type->photo)); ?>" style="display:block;height: 100px;margin: 10px auto;">
                                                                </div>
                            
                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-primary" type="submit">Save</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <button class="btn btn-sm btn-white text-danger me-2" data-bs-toggle="modal" data-bs-target="#dmodal<?php echo e($type->id); ?>"><i class="far fa-trash-alt me-1"></i>Delete</button>
                                            <div class="modal fade" id="dmodal<?php echo e($type->id); ?>" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="dmodal<?php echo e($type->id); ?>Label" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="dmodal<?php echo e($type->id); ?>Label">Confirm Deletion</h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3" action="<?php echo e(route('admin.property-types.destroy',['property_type'=>$type->id])); ?>" method="POST">
                                                                <?php echo csrf_field(); ?>
                                                                <?php echo method_field('DELETE'); ?>
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Name</label>
                                                                    <input class="form-control" disabled type="text" name="name" value="<?php echo e($type->name); ?>" required="" placeholder="type name ..">
                                                                </div>
                            
                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-danger" type="submit">Delete</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/luxelocation.ma/resources/views/admin/property-types.blade.php ENDPATH**/ ?>