<?php $__env->startPush('css'); ?>
    <!-- Datatables CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('ad') . '/assets/plugins/datatables/datatables.min.css'); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
    <!-- Datatables JS -->
    <script src="<?php echo e(asset('ad') . '/assets/plugins/datatables/jquery.dataTables.min.js'); ?>"></script>
    <script src="<?php echo e(asset('ad') . '/assets/plugins/datatables/datatables.min.js'); ?>"></script>
    <script>
        setActiveMenuItem('reviews');
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Reviews</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item active">Reviews</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /Page Header -->

    <div class="row">
        <div class="col-sm-12">

            <div class="card card-table">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-center table-hover datatable">
                            <thead class="thead-light">
                                <tr>
                                    <th data-searchable="true">ID</th>
                                    <th data-searchable="true">Property name</th>
                                    <th data-searchable="true">User</th>
                                    <th data-searchable="true">Email</th>
                                    <th data-searchable="true">Phone</th>
                                    <th data-searchable="true">Review</th>
                                    <th data-searchable="true">Added At</th>
                                    <th class="text-end">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $reviews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $review): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($review->id); ?></td>
                                        <td><a href="<?php echo e(route('admin.cars.preview', ['car' => $review->car->id])); ?>"
                                                target="_blank"><?php echo e($review->car->title); ?></a></td>
                                        <td>
                                            <?php echo e(($review->user->gender == 'male' ? 'Mr.' : 'Mme.') . ' ' . $review->user->firstname . ' ' . $review->user->laststname); ?>

                                        </td>
                                        <td><a
                                                href="mailto:<?php echo e($review->user->email); ?>"><?php echo e($review->user->email); ?></a>
                                        </td>
                                        <td><?php echo e($review->user->phone); ?></td>
                                        <td><?php echo e($review->comment); ?></td>
                                        <td><?php echo e($review->created_at->diffForHumans()); ?></td>
                                        <td class="text-end">
                                            <button class="btn btn-sm btn-white text-danger me-2" data-bs-toggle="modal"
                                                data-bs-target="#dmodal<?php echo e($review->id); ?>"><i
                                                    class="far fa-trash-alt me-1"></i>Delete</button>
                                            <div class="modal fade" id="dmodal<?php echo e($review->id); ?>"
                                                data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="dmodal<?php echo e($review->id); ?>Label" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="dmodal<?php echo e($review->id); ?>Label">
                                                                Confirm Deletion</h5>
                                                            <button type="button" class="btn-close"
                                                                data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body text-start">
                                                            <form class="ajax-form px-3"
                                                                action="<?php echo e(route('admin.reviews.destroy', ['review' => $review->id])); ?>"
                                                                method="POST">
                                                                <?php echo csrf_field(); ?>
                                                                <?php echo method_field('DELETE'); ?>
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Favorite ID</label>
                                                                    <input class="form-control" disabled type="text"
                                                                        name="name" value="<?php echo e($review->id); ?>"
                                                                        required=""
                                                                        placeholder="type review name ..">
                                                                </div>

                                                                <div class="mt-3 text-end">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        data-bs-dismiss="modal">Close</button>
                                                                    <button class="btn btn-danger"
                                                                        type="submit">Delete</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/luxelocation.ma/resources/views/admin/reviews.blade.php ENDPATH**/ ?>