<?php $__env->startPush('css'); ?>
    <style>
        .card-header {
            background: #eae2f9 !important;
            margin-top: -13px !important;
            padding: 15px !important;
            border-radius: 7px !important;
            display: inline-block !important;
            min-width: 200px;
        }

        .card-title {
            font-size: 14px;
        }
    </style>
    <!-- Select 2 -->
    <link rel="stylesheet" href="<?php echo e(asset('ad') . '/assets/css/select2.min.css'); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        setActiveMenuItem('cars');
    </script>
    <!-- ckeditor JS -->
    <script src="<?php echo e(asset('ad') . '/assets/js/ckEditorUploadAdapter.js'); ?>"></script>
    <script src="<?php echo e(asset('ad') . '/assets/plugins/ckeditor/build/ckeditor.js'); ?>"></script>
    <!-- Bootstrap Tagsinput JS -->
    <script src="<?php echo e(asset('ad') . '/assets/plugins/bootstrap-tagsinput/js/bootstrap-tagsinput.js'); ?>"></script>
    <!-- Select 2 -->
    <script src="<?php echo e(asset('ad') . '/assets/js/select2.min.js'); ?>"></script>
    <!-- Form repeater -->
    <script src="<?php echo e(asset('ad') . '/assets/js/jquery.repeater.min.js'); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Page Header -->
    <div class="page-header">
        <div class="row">
            <div class="col">
                <h3 class="page-title">Add Car</h3>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                    <li class="breadcrumb-item">Cars</li>
                    <li class="breadcrumb-item active">Add car</li>
                </ul>
            </div>
        </div>
    </div>
    <!-- /Page Header -->
    <form action="<?php echo e(route('admin.cars.store')); ?>" method="POST" class="ajax-form">
        <?php echo csrf_field(); ?>
        <div class="row ">
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">General informations</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Title <span class="text-danger">*</span></label>
                            <input class="form-control" type="text" name="title" required="">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo title</label>
                            <input class="form-control" type="text" name="seo_title">
                        </div>
                        <div class="mb-3 col-md-8">
                            <label class="form-label">Slug</label>
                            <input class="form-control" type="text" name="slug" placeholder="e.g: car-a-marrekech">
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label d-block">Status</label>
                            <input id="slabel1" type="radio" name="status" checked value="active"> <label
                                for="slabel1" class="me-3 ms-1">Public</label>
                            <input id="slabel2" type="radio" name="status" value="inactive"> <label for="slabel2"
                                class="ms-1">Draft</label>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo keywords</label>
                            <input type="text" data-role="tagsinput" class="input-tags form-control"
                                placeholder="Enter Keywords" name="seo_keywords" value="<?php echo e(trans('admin/cars.keywords')); ?>">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Seo description</label>
                            <textarea class="form-control" name="seo_description"></textarea>
                        </div>
                        <div class="mb-3 col-md-12">
                            <label class="form-label">Description</label>
                            <div id="editor"></div>
                            <textarea class="d-none" id="editor-post-field" name="description"></textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Pricing</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Price <span class="text-danger">*</span></label>
                            <input class="form-control" type="number" name="price" required="">
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Currency</label>
                            <select class="form-control form-select select" name="currency_id">
                                <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($currency->id); ?>"><?php echo e($currency->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Unit</label>
                            <select class="form-control form-select select" name="unit">
                                <option value="day">Day</option>
                                <option value="week">Week</option>
                                <option value="month">Month</option>
                                <option value="year">Year</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Minimum period</label>
                            <input class="form-control" type="number" name="min_period">
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label">Max Price (per unit)</label>
                            <input class="form-control" type="number" name="max_price">
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label d-block">Price variations</label>
                            <input id="has_price_vars2" type="radio" name="has_price_vars" value="0" checked>
                            <label for="has_price_vars2" class="me-2">Disable</label>
                            <input id="has_price_vars1" type="radio" name="has_price_vars" value="1"> <label
                                for="has_price_vars1">Enable</label>
                        </div>
                        <div class="mb-3 col-md-12 repeater">
                            <fieldset>
                                <legend>Period prices</legend>
                                <span class="btn btn-primary m-2" data-repeater-create><i class="fa fa-plus"></i> Add
                                    row</span>
                                <div class="prcs" data-repeater-list="period_prices">
                                    <div class="row py-2 my-1" style="background: #efefef;" data-repeater-item>
                                        <div class="mb-3 col-md-3">
                                            <label class="form-label">From</label>
                                            <input class="form-control" type="date" name="from">
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label class="form-label">To</label>
                                            <input class="form-control" type="date" name="to">
                                        </div>
                                        <div class="mb-3 col-md-2">
                                            <label class="form-label">Minimum period</label>
                                            <input class="form-control" type="number" name="min_period">
                                        </div>
                                        <div class="mb-3 col-md-2">
                                            <label class="form-label">Unit</label>
                                            <select class="form-control form-select" name="unit">
                                                <option value="day">Day</option>
                                                <option value="week">Week</option>
                                                <option value="month">Month</option>
                                                <option value="year">Year</option>
                                            </select>
                                        </div>
                                        <div class="mb-3 col-md-1">
                                            <label class="form-label">Price</label>
                                            <input class="form-control d-inline-block" type="number" name="price">
                                        </div>
                                        <div class="mb-3 col-md-1 align-self-end">
                                            <button class="btn btn-danger m-2" data-repeater-delete><i
                                                    class="fa fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Qualifications</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Model</label>
                            <input class="form-control" name="model" type="number">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Kilometrage</label>
                            <input class="form-control" name="kilometrage" type="number">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Passengers</label>
                            <input class="form-control" name="passengers" type="number">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Doors</label>
                            <input class="form-control" name="doors" type="number">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Baggages</label>
                            <input class="form-control" name="baggages" type="number">
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Carburant</label>
                            <select class="form-control form-select select" name="carburant">
                                <option value="diesel">Diesel</option>
                                <option value="essence">Essence</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Gear Shift</label>
                            <select class="form-control form-select select" name="gear_shift">
                                <option value="manual">Manual</option>
                                <option value="auto">Auto</option>
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Location</label>
                            <select class="form-control form-select select" name="location_id">
                                <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($location->id); ?>"><?php echo e($location->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Type</label>
                            <select class="form-control form-select select" name="type_id">
                                <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($type->id); ?>"><?php echo e($type->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Themes</label>
                            <select class="form-control form-select select" name="themes[]" multiple>
                                <?php $__currentLoopData = $themes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $theme): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($theme->id); ?>"><?php echo e($theme->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Amenities</label>
                            <select class="form-control form-select select" name="amenities[]" multiple>
                                <?php $__currentLoopData = $amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $amenity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($amenity->id); ?>"><?php echo e($amenity->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="m-2 col-md-1 align-self-center d-flex align-items-start">
                            <input class="form-check d-inline-block me-1" type="checkbox" name="featured">
                            <label class="form-label">Featured</label>
                        </div>
                        <div class="m-2 col-md-1 align-self-center d-flex align-items-start">
                            <input class="form-check d-inline-block me-1" type="checkbox" name="new">
                            <label class="form-label">New</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Media</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Featured image <span class="text-danger">*</span></label>
                            <input class="form-control" type="file" name="featured_image" required="">
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label">Video link</label>
                            <input class="form-control" type="url" name="promo_video">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 card card-table">
                <div class="card-header mb-4">
                    <h5 class="card-title">Origins</h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Provider</label>
                            <select class="form-control form-select select" name="provider_id">
                                <option value="">--</option>
                                <?php $__currentLoopData = $providers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $provider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($provider->id); ?>"><?php echo e($provider->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-3">
                            <label class="form-label">Agent</label>
                            <select class="form-control form-select select" name="agent_id">
                                <option value="">--</option>
                                <?php $__currentLoopData = $agents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agent): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($agent->id); ?>"><?php echo e($agent->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label">Fetched link</label>
                            <input class="form-control" type="url" name="fetched_url">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="mt-3 mb-5 text-end">
                    <button class="btn btn-primary px-5" type="submit">Create</button>
                </div>
            </div>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/luxelocation.ma/resources/views/admin/cars/create.blade.php ENDPATH**/ ?>